Subject: Re: bug#35710: 26.1; incomplete mapconcat description string

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 May 2019 17:14:52 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Mon, 13 May 2019 08:02:44 -0400
> Cc: [email-masked]
> 
> >    (mapconcat FUNCTION SEQUENCE SEPARATOR)
> >
> >    Apply FUNCTION to each element of SEQUENCE, and concat the results as
> > strings.
> >    In between each pair of results, stick in SEPARATOR.  Thus, " " as
> >    SEPARATOR results in spaces between the values returned by FUNCTION.
> >    SEQUENCE may be a list, a vector, a bool-vector, or a string.
> >
> > The description does not say what is accepted for SEPARATOR, it only
> > gives an example.
> 
> It mentions concat, which is what determines what is acceptable.  I
> agree it could be made more explicit though.

The manual does spell that out, we could simply add that to the doc
string.